using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.BS
{
    /// <summary>
    /// 检查内容子表(关联检查区域) 辨识区域
    /// </summary>
    [Description("检查区域")]
    public class T_BS_CHECK_CONTENT_HM_RISK_AREA : MesEntityBase
    {

        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        [DataFieldForeignKey("Nav_Content", "Nav_ListContentAreas")]
        public Guid CHECK_CONTENT_ID { get; set; }

        /// <summary>
        /// 检查区域/辨识区域
        /// </summary>
        [Description("检查区域")]
        [DataFieldForeignKey("Nav_Area")]
        public Guid HM_RISK_AREA_ID { get; set; }



        ///<summary>
        /// 导航：检查内容
        /// </summary>
        [Description("导航：检查内容")]
        public virtual T_BS_CHECK_CONTENT Nav_Content { get; set; }


        /// <summary>
        /// 导航：检查区域
        /// </summary>
        [Description("检查区域")]
        public virtual T_HM_RISK_AREA Nav_Area { get; set; }
    }
}
